# use loopiaapi for dns challange using certbot
class certbot::loopia (
  String[1] $api_url,
  String[1] $user,
  Sensitive[String[1]] $password,
) inherits certbot::params {

  file {
    "${certbot::params::bin_dir}/acme-auth-loopia.py":
      source => "puppet:///modules/${module_name}/acme-auth-loopia.py",
      mode   => '0750';
    "${certbot::params::bin_dir}/acme-cleanup-loopia.py":
      source => "puppet:///modules/${module_name}/acme-cleanup-loopia.py",
      mode   => '0750';
    "${certbot::params::etc_dir}/loopiaapi.ini":
      content   => inline_epp("[default]\n<% \$params.each |\$key,\$val| { %><%= \$key %> = <%= \$val %>\n<% } %>\n", {
        'params' => {
          'url'      => $api_url,
          'username' => $user,
          'password' => unwrap($password),
        } }),
      show_diff => false,
      mode      => '0400';
  }
}
